Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1056

Overview

Vulnerability Score 6.2 6.2
CVE Id CVE-2011-1056
Last Modified 20 Jun 2011 12:00:00
Published 21 Feb 2011 04:00:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector LOCAL
Access Complexity HIGH
Authentication NONE

CVE-2011-1056

Summary

The installer for Metasploit Framework 3.5.1, when running on Windows, uses weak inherited permissions for the Metasploit installation directory, which allows local users to gain privileges by replacing critical files with a Trojan horse.

Vulnerable Systems

Application

  • Metasploit Framework 3.5.1


References

VUPEN - ADV-2011-0371

SECUNIA - 43166

OSVDB - 70857

CONFIRM - http://blog.metasploit.com/2011/02/metasploit-framework-352-released.html


Last Updated: 27 May 2016 10:56:08